Skip to main content
PUT
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
images
/
{id}
[Images] Replace image metadata
curl --request PUT \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/images/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "os_name": "<string>",
  "os_version": "<string>",
  "description": "<string>",
  "visibility": "public",
  "os_architecture": "<string>",
  "is_active": true,
  "is_featured": true,
  "min_disk_gb": 2147483647,
  "min_ram_mb": 2147483647
}
'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

Unique identifier of the image.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
required

Ex: Ubuntu 22.04 LTS, Debian 12

Maximum string length: 255
slug
string
required

Ex: ubuntu-22-04, debian-12

Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$
os_name
string
required

Ex: Ubuntu, Debian, CentOS

Maximum string length: 100
os_version
string
required

Ex: 22.04, 12, 8

Maximum string length: 50
description
string
visibility
enum<string>

Public images are available to all, private to organization only

  • public - Public
  • private - Private
Available options:
public,
private
os_architecture
string

Ex: x86_64, aarch64

Maximum string length: 20
is_active
boolean

Featured public images

min_disk_gb
integer<int64>

Minimum disk size required (GB)

Required range: 0 <= x <= 4294967295
min_ram_mb
integer<int64>

Minimum RAM required (MB)

Required range: 0 <= x <= 4294967295

Response

Image updated successfully